TORRUS_SNMPFAILURES(8)

NAME
snmpfailures - Displays SNMP collector failures.

SYNOPSIS
torrus snmpfailures --tree=TREENAME [options...]

OPTIONS

--details
    In addition to failure counters, list the failed SNMP hosts and the time stamps of failure events.

--help
    Displays a help message.

DESCRIPTION
This utility prints the SNMP collector failure information in JSON format. Without --details option, it prints only the failure counters.

Upon collector startup or after the tree re-compilation, the failure counters are reset to zero.

The output is very convenient for further automatic processing in any scripting language.

The top level of the output is a JSON object with the following name/value pairs:

total_unreachable: NUMBER
    Displays the number SNMP hosts that are currently unreachable. The number adds up across multiple collector instances for a given tree. If a host becomes reachable again, the number is decreased.

total_deleted: NUMBER
    Displays the number SNMP hosts that are completely removed from SNMP collection for the life cycle of the collector process. This happens when a host is unreachable for too long time and the collector gives up to reach it again. The number adds up across multiple collector instances for a given tree.

total_mib_errors: NUMBER
    Displays the number of MIB errors (noSuchObject, noSuchInstance, and endOfMibView) during the collector life cycle. The number adds up across multiple collector instances for a given tree.

detail_unreachable: OBJECT, detail_deleted: OBJECT
    If the option --details is specified, these objects contain the host names and timestamps of the failures. The keys are contactenations of SNMP host, UDP port, and SNMP community separated by "|". The values are objects representing the UNIX timestamp and a human-readable time string.

detail_mib_errors: OBJECT
    If the option --details is specified, this object displays the MIB error details: for each SNMP host, it lists the datasource leaves which had these errors and the event timestamps.

EXAMPLES
The following example illustrates an SNMP host unreachable:

 torrus failures --tree=main --details
 {
    "detail_deleted" : {},
    "detail_mib_errors" : {},
    "detail_unreachable" : {
       "217.101.101.101|161|public" : {
          "time" : "Fri Jul 23 14:15:10 2010",
          "timestamp" : 1279887310
       }
    },
    "total_deleted" : 0,
    "total_mib_errors" : 0,
    "total_unreachable" : 1
 }

The following example illustrates a MIB error:

 torrus failures --tree=main --details
 {
    "detail_deleted" : {},
    "detail_mib_errors" : {
       "217.101.102.102|161|public" : {
          "count" : 1,
          "nodes" : {
             "/Routers/CMTS3/Temperature_Sensors/sensor_01" : {
                "time" : "Fri Jul 23 15:26:14 2010",
                "timestamp" : 1279891574
             }
          }
       }
    },
    "detail_unreachable" : {},
    "total_deleted" : 0,
    "total_mib_errors" : 1,
    "total_unreachable" : 0
 }

SEE ALSO
torrus(8),

NOTES
See more documentation at Torrus home page: http://torrus.org

AUTHOR
Stanislav Sinyagin <ssinyagin@k-open.com>